Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class FieldCache.StringIndex

    java.lang.Object
      org.apache.lucene.search.FieldCache.StringIndex

Enclosing interface:
  FieldCache

    public static class FieldCache.StringIndex

extends Object

Expert: Stores term text values and document ordering data.

Field Summary
`String[]` | `lookup` All the term values, in natural order.
`int[]` | `order` For each document, an index into the lookup array.

Constructor Summary
`FieldCache.StringIndex(int[] values, String[] lookup)` Creates one of these objects

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lookup

    public final String[] lookup

  All the term values, in natural order.

### order

    public final int[] order

  For each document, an index into the lookup array.

Constructor Detail

### FieldCache.StringIndex

    public FieldCache.StringIndex(int[] values,
                                  String[] lookup)

  Creates one of these objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.